#### BIN

#### Synopsis

    HELP:   Integer in binary format (two's complement)
    TYPE:   OBJECT
    SYNTAX: BIN(SIGNED,ENDIAN=SYSTEM/BIG/LITTLE/LOCAL)

#### Description

Reads a binary representation of an integer number. The result is an FL5-internal neutral integer representation which can be converted to any of the supported target integer representations by a corresponding write converter.

This converter supports the most common binary number sizes: 8, 16, 32 and 64 bit. Hence, the input to this converter must be either 1, 2, 4 or 8 bytes long.

If the SIGNED flag is set, the binary number is interpreted as a two's complement binary number, which can be negative. Otherwise, the input bytes are interpreted as an unsigned number.

With the ENDIAN parameter, the endianness (byte order) of the binary number can be specified. By default, the system's endianness is assumed.

#### Arguments

- `SWITCH: SIGNED - Enable for signed integer [FALSE]`
- `NUMBER: ENDIAN=SYSTEM/BIG/LITTLE/LOCAL - Byte order of the integer [SYSTEM]`
  - `SYSTEM - Byte order of the default logical system`
  - `BIG - Big endian byte order`
  - `LITTLE - Little endian byte order`
  - `LOCAL - Byte order of the real physical system`